ADBKBD(4) | Device Drivers Manual | ADBKBD(4)

# NAME

`adbkbd` —
support for ADB keyboards

# SYNOPSIS

`adbkbd* at nadb?`
`wskbd* at adbkbd? console ? mux 1`
`wsmouse* at adbkbd?`

# DESCRIPTION

The `adbkbd` driver handles most ADB keyboards within the wscons(4) framework. It also provides an interface to translate key strokes to mouse button events.

Which keys are translated to mouse button events can be configured for each individual keyboard via sysctl(8):

`machdep.adbkbd0.middle`
  Controls which scan code is used for middle mouse button events. Default is 103, which corresponds to F11.
`machdep.adbkbd0.right`
  Controls which scan code is used for right mouse button events. Default is 111, which corresponds to F12.

# SEE ALSO

nadb(4), wskbd(4), wsmouse(4), wsconsctl(8), wskbd(9)

May 14, 2007 | NetBSD 9.4